PluginDescriptorGenerator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.publishing
[Groovy] Class PluginDescriptorGenerator

    java.lang.Object
      org.codehaus.groovy.grails.plugins.publishing.PluginDescriptorGenerator

    class PluginDescriptorGenerator
    extends java.lang.Object

Generates the plugin.xml descriptor.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `ARTEFACT_PATTERN`

Property Summary
`org.springframework.util.AntPathMatcher` | `antPathMatcher`
`BuildSettings` | `buildSettings`
`java.util.List` | `excludes`
`java.lang.String` | `pluginName`
`Resource[]` | `resourceList`

Constructor Summary
`PluginDescriptorGenerator(BuildSettings buildSettings, java.lang.Object pluginName, java.util.List resourceList)`
`PluginDescriptorGenerator(BuildSettings buildSettings, java.lang.String pluginName, Resource[] resourceList)`

Method Summary
`void` | `generatePluginXml(java.lang.Object pluginProps, java.io.Writer target)` Generates the plugin.xml descriptor to the given target writer
`void` | `generatePluginXml(java.lang.Object pluginProps, groovy.util.IndentPrinter target)` Generates the plugin.xml descriptor to the given target writer
`protected void` | `generatePluginXml(java.lang.Object pluginProps, groovy.xml.MarkupBuilder xml)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ARTEFACT_PATTERN

    public static final java.lang.String ARTEFACT_PATTERN

Property Detail

### antPathMatcher

    org.springframework.util.AntPathMatcher antPathMatcher

### buildSettings

    BuildSettings buildSettings

### excludes

    java.util.List excludes

### pluginName

    java.lang.String pluginName

### resourceList

    Resource[] resourceList

Constructor Detail

### PluginDescriptorGenerator

    PluginDescriptorGenerator(BuildSettings buildSettings, java.lang.Object pluginName, java.util.List resourceList)

### PluginDescriptorGenerator

    PluginDescriptorGenerator(BuildSettings buildSettings, java.lang.String pluginName, Resource[] resourceList)

Method Detail

### generatePluginXml

    void generatePluginXml(java.lang.Object pluginProps, java.io.Writer target)

  Generates the plugin.xml descriptor to the given target writer
  Parameters:
    `pluginProps` - The plugin properties object. Typically a map of properties
    `target` - The target writer

### generatePluginXml

    void generatePluginXml(java.lang.Object pluginProps, groovy.util.IndentPrinter target)

  Generates the plugin.xml descriptor to the given target writer
  Parameters:
    `pluginProps` - The plugin properties object. Typically a map of properties
    `target` - The target writer

### generatePluginXml

    protected void generatePluginXml(java.lang.Object pluginProps, groovy.xml.MarkupBuilder xml)

Groovy Documentation